KDE 4.2 PyKDE API Reference for Marble

- KDE's Python API

# ViewportParams Class Reference

`from PyKDE4.marble import *`

Namespace: Marble

## Detailed Description

A public class that controls what is visible in the viewport of a Marble map.

## Methods
| __init__ (self)
| __init__ (self, Marble.ViewportParams a0)
float | angularResolution (self)
BoundingBox | boundingBox (self)
| centerCoordinates (self, float centerLon, float centerLat)
Marble.AbstractProjection | currentProjection (self)
bool | globeCoversViewport (self)
int | height (self)
bool | mapCoversViewport (self)
Marble.Quaternion | planetAxis (self)
Marble.matrix | planetAxisMatrix (self)
int | polarity (self)
Marble.Projection | projection (self)
int | radius (self)
bool | resolves (self, Marble.GeoDataLatLonBox latLonBox)
bool | resolves (self, Marble.GeoDataCoordinates coord1, Marble.GeoDataCoordinates coord2)
| setBoundingBox (self, BoundingBox a0)
| setHeight (self, int newHeight)
bool | setPlanetAxis (self, Marble.Quaternion newAxis)
| setProjection (self, Marble.Projection newProjection)
| setRadius (self, int newRadius)
| setSize (self, QSize newSize)
| setWidth (self, int newWidth)
QSize | size (self)
Marble.GeoDataLatLonAltBox | viewLatLonAltBox (self)
int | width (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | Marble.ViewportParams | a0
| ) |  |  |

float angularResolution | ( |  | self ) |

BoundingBox boundingBox | ( |  | self ) |

centerCoordinates | ( | self, |
|  | float | centerLon,
|  | float | centerLat
| ) |  |  |

Marble.AbstractProjection currentProjection | ( |  | self ) |

bool globeCoversViewport | ( |  | self ) |

int height | ( |  | self ) |

bool mapCoversViewport | ( |  | self ) |

Marble.Quaternion planetAxis | ( |  | self ) |

Marble.matrix planetAxisMatrix | ( |  | self ) |

int polarity | ( |  | self ) |

Marble.Projection projection | ( |  | self ) |

int radius | ( |  | self ) |

bool resolves | ( | self, |
|  | Marble.GeoDataLatLonBox | latLonBox
| ) |  |  |

bool resolves | ( | self, |
|  | Marble.GeoDataCoordinates | coord1,
|  | Marble.GeoDataCoordinates | coord2
| ) |  |  |

setBoundingBox | ( | self, |
|  | BoundingBox | a0
| ) |  |  |

setHeight | ( | self, |
|  | int | newHeight
| ) |  |  |

bool setPlanetAxis | ( | self, |
|  | Marble.Quaternion | newAxis
| ) |  |  |

setProjection | ( | self, |
|  | Marble.Projection | newProjection
| ) |  |  |

setRadius | ( | self, |
|  | int | newRadius
| ) |  |  |

setSize | ( | self, |
|  | QSize | newSize
| ) |  |  |

setWidth | ( | self, |
|  | int | newWidth
| ) |  |  |

QSize size | ( |  | self ) |

Marble.GeoDataLatLonAltBox viewLatLonAltBox | ( |  | self ) |

int width | ( |  | self ) |